#94 Encrypted device is not removed on logout

pam_mount
closed
pam_mount (94)
5
2011-07-14
2011-06-29
No

I have setup a encrypted home directory for me using a separate partition (sda2). I've created it using pmt-ehd. pam_mount correctly creates the encryption layer and mounts my home. The problem is the logout. On logout my home is unmounted (which is fine), but the encrypted device will not be removed. If I try to login again, pam_mount aborts with an error message:

Jun 29 19:38:09 chepre login: pam_mount(mount.c:213): Mount info: globalconf, user=aldi <volume fstype="crypt" server="(null)" path="/dev/sda2" mountpoint="/home/aldi2" cipher="aes-cbc-essiv:sha256" fskeypath="/tmp/aldi-chepre2.key" fskeycipher="aes-256-cbc" fskeyhash="sha256" options="fsck" /> fstab=0 ssh=0
Jun 29 19:38:10 chepre login: pam_mount(mount.c:64): Errors from underlying mount program:
Jun 29 19:38:10 chepre login: pam_mount(mount.c:68): crypt_activate: File exists
Jun 29 19:38:10 chepre login: pam_mount(pam_mount.c:521): mount of /dev/sda2 failed

All tests performed on the console.

Discussion

  • Adalbert Prokop

    Adalbert Prokop - 2011-06-29

    /etc/pam.d/login

     
  • Jan Engelhardt

    Jan Engelhardt - 2011-06-29

    If it is not unmounted on logout, something kept the crypto device busy. Check whether the loop device was also removed or not removed.

     
  • Jan Engelhardt

    Jan Engelhardt - 2011-06-29
    • status: open --> open-works-for-me
     
  • Adalbert Prokop

    Adalbert Prokop - 2011-06-30
    • status: open-works-for-me --> open
     
  • Adalbert Prokop

    Adalbert Prokop - 2011-06-30

    1. The device is not busy. I perfom the login on the console (tty), the PARTITION is mounted on a separate directory, not my home. No other process is running.
    2. It was not a loopback device, it was a separate PARTITION.
    3. As I wrote, it gets UNMOUNTED but the encryption layer is not REMOVED - after logout the devicemapper file in /dev/mapper/... stays there. That makes a difference. Besides, the same behavior can be observed simply by using MOUNT.CRYPT. An encrypted partition can be mounted, but the mapper device stays there after it is UNmounted.

    I'm using pam_mount 2.5 on Fedora 15.

     
  • Jan Engelhardt

    Jan Engelhardt - 2011-06-30
    • status: open --> pending
     
  • Jan Engelhardt

    Jan Engelhardt - 2011-06-30

    The current pam_mount version is 2.10.

     
  • SourceForge Robot

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     
  • SourceForge Robot

    • status: pending --> closed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks